public interface UpdateIcebergTableRequestOrBuilder extends MessageOrBuilderImplements
MessageOrBuilderMethods
getHttpBody()
public abstract HttpBody getHttpBody() Required. The request body that should be in the format of Apache Iceberg's
#/components/schemas/CommitTableRequest. Content type is expected to be
application/json. Added this field for easier json parsing.
.google.api.HttpBody http_body = 2 [json_name = "updates", (.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
com.google.api.HttpBody |
The httpBody. |
getHttpBodyOrBuilder()
public abstract HttpBodyOrBuilder getHttpBodyOrBuilder() Required. The request body that should be in the format of Apache Iceberg's
#/components/schemas/CommitTableRequest. Content type is expected to be
application/json. Added this field for easier json parsing.
.google.api.HttpBody http_body = 2 [json_name = "updates", (.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
com.google.api.HttpBodyOrBuilder |
|
getName()
public abstract String getName() Required. Table to commit in the format:
projects/{project_id}/namespaces/{namespace}/tables/{table}.
string name = 1 [(.google.api.field_behavior) = REQUIRED, (.google.api.resource_reference) = { ... }
| Returns | |
|---|---|
| Type | Description |
String |
The name. |
getNameBytes()
public abstract ByteString getNameBytes() Required. Table to commit in the format:
projects/{project_id}/namespaces/{namespace}/tables/{table}.
string name = 1 [(.google.api.field_behavior) = REQUIRED, (.google.api.resource_reference) = { ... }
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for name. |
hasHttpBody()
public abstract boolean hasHttpBody() Required. The request body that should be in the format of Apache Iceberg's
#/components/schemas/CommitTableRequest. Content type is expected to be
application/json. Added this field for easier json parsing.
.google.api.HttpBody http_body = 2 [json_name = "updates", (.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the httpBody field is set. |